#if !defined(_paul_h_)
#define _paul_h_
#include <gtk/gtk.h>
#include <gdk_imlib.h>
#include <stdio.h>

#define  PAUL_ID      42
#define FAST_TIME  0.4

typedef struct {
  int             id;      /* identify stucture as PAUL structure         */
  GList          *activ,   /* currently displayed image                   */
                 *piclist; /* list of all images to display               */
  GtkWidget      *filelist;/* list of filenames (contains p as user_data) */
  GtkWidget      *show;    /* window to show images                       */
  double          sek;     /* animation delay time between two images     */
  int             same_size ;
} PAUL;

#define  DATA       rgb_data
#define  W          rgb_width
#define  H          rgb_height

#define  BILD(pl)           _BILD(pl, __FILE__, __LINE__)
#define  IS_PAUL(p)         ( (p) && ((PAUL *)(p))->id == PAUL_ID )
#define IsAnimation(sek)    ( sek > -1 )

extern     int             SHOW_SLOW;
extern     int             ANIMATION_SPEED;  
#define    SINGLE          0  /* no animation activ                                             */
#define    SLOW_ANIMATION  1  /* animation is slow enought to show name of picture in title bar */
#define    FAST_ANIMATION  2  /* suppress updating title bar                                    */

GdkImlibImage *_BILD(GList *l, char *file, int line);

int            ApplyPicture(GdkWindow *win, GdkImlibImage *im);
void           AnimationTimeParameterCallback(PAUL *p);
int            PictureAnimate(GtkWidget *button, PAUL *p);
int            StopPictureAnimate(GtkWidget *button, PAUL *p);
#endif


